var _examples$DEFAULT$exa;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { StyledLink } from '../link/index.js';
import { Breadcrumbs } from './index.js';
import examples from './examples-list.js';
export default (_examples$DEFAULT$exa = {}, _defineProperty(_examples$DEFAULT$exa, examples.DEFAULT, function Story1() {
  return React.createElement(Breadcrumbs, null, React.createElement(StyledLink, {
    href: "#"
  }, "Parent Page"), React.createElement(StyledLink, {
    href: "#"
  }, "Sub-Parent Page"), React.createElement("span", null, "Current Page"));
}), _defineProperty(_examples$DEFAULT$exa, examples.OVERRIDES, function Story2() {
  return React.createElement(Breadcrumbs, {
    overrides: {
      Separator: {
        style: function style(_ref) {
          var $theme = _ref.$theme;
          return {
            color: $theme.colors.negative400
          };
        }
      }
    }
  }, React.createElement(StyledLink, {
    href: "#"
  }, "Parent Page"), React.createElement(StyledLink, {
    href: "#"
  }, "Sub-Parent Page"), React.createElement("span", null, "Current Page"));
}), _examples$DEFAULT$exa);